package annotation

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
)

const (
	ResourceTag = "@Resource"
)

func init() {
	cda.RegisterAnnotation(ResourceTag, reflect.TypeOf((*Resource)(nil)))
}

type Resource struct {
	cda.Annotation
	Name string `annotation-meta:"name"`
}
